:root{
    --light-color: #fff;
    --primary-color: #047aed;
    --secondary-color: #009688;
    --tetiary-color: #ef233c;
    --dark-color: #000;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    /* height: 15000vh; */
}   

html{
    scroll-behavior: smooth ;
}

body{
    background-color: #2c3e50 !important;
    /* overflow:hidden; */
    /* overflow-x: hidden; */
}

/* Preloader */

.preloader{
    display: flex;
    align-items: center;
    min-height: 100vh;
    background: #000;
    position: fixed;
    width: 100%;
    z-index: 199;
    background-size: 30%;
}

.disappear{
    animation: vanish 5s forwards;
}

@keyframes vanish{
    100%{
        opacity: 0;
        visibility: hidden;
    }
}


.menuBtn i{
    color: #fff;
    transition: .5s;
}

.menuBtn i:hover{
    transform: rotate(-360deg);
}

nav{
    background-color: #212529d3;
    height: 65px;
    top: 0;
    box-shadow: 0 3px 5px var(--tetiary-color);
    transition: .5s;
    z-index: 200;
    position: fixed ;
    top: 0;
    left: 0;
    width: 100%;
}

.logo{
    position: absolute;
    top: 12px;
    color: #fff;
    left: 20px;
}

.logo span{
    color: var(--tetiary-color);
}


nav ul{
    display: flex;
    justify-content: flex-end;
}

nav ul li{
    margin-right: 30px;
    position: relative;
    top: 20px;
    list-style: none;
}

nav ul li a{
    color: #fff;
    text-decoration: none;
}

nav ul li a:hover{
    color: #fff;
}

#menuBtn{
    position: fixed;
    top: 15px;
    right: 30px;
    display: none;
    cursor: pointer;
}

.active-link{
    color: var(--tetiary-color);
}

@media screen and (max-width: 700px){
    #menuBtn{
        display: block;
        position: absolute;
    }

    nav{
        overflow: hidden;
    }

    .fixed ul {
        flex-direction: column;
        margin-top: 30px;
    }

    .fixed ul li{
        margin-top: 10px;
        margin-left: -30px;
        width: 1200px;
        cursor: pointer;
        padding: 0.5rem 1rem;
        transition: all 0.3s linear;
    }

    .fixed ul li:hover{
        color: #fff;
        background-color: var(--tetiary-color);
        padding-left: 1.5rem;
    }

    .social-icons{
       display: flex;
       align-items: flex-start;
       justify-content: flex-start;
       margin-left: -15px;
       margin-top: 30px;
    }
} 

/* Hero */

.hero{
    background: linear-gradient(rgba(134, 23, 116, 0.5), rgba(32, 148, 156, 0.5), rgba(167, 32, 185, 0.5)), url(./img23.jpg);
    background-repeat: no-repeat;
    background-position: center;
    background-attachment: fixed;
    background-size: cover;
    min-height: 100vh;
}

.header-text{
    padding-top: 18%;
    color: var(--light-color);
}

.header-text p{
    text-transform: uppercase;
    font-size: 23px;
}

.header-text h1{
    text-transform: uppercase;
    font-style: italic;
    font-size: 63px;
    margin-top: -20px;
}

.header-info p{
    color: var(--light-color);
}

.header-btn a button{
    margin-top: -50px;
}

.container1 {
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
}

/* About Section */

#about {
    /* background: #f9f9f9; */
    padding: 40px 20px;
}

#about h1 {
    text-align: center;
    font-size: 2.5em;
    margin-bottom: 20px;
    color: var(--light-color);
}

#about .content {
    display: flex;
    align-items: flex-start;
    flex-wrap: wrap;
}

#about .image {
    flex: 1 1 300px;
    max-width: 300px;
    margin-right: 20px;
}

#about .image img {
    width: 100%;
    height: 500px !important;
    border-radius: 10px;
}

#about .text {
    flex: 2 1 600px;
}

#about h2 {
    font-size: 1.8em;
    margin-bottom: 10px;
    color: var(--light-color);
}

#about p {
    font-size: 1em;
    line-height: 1.6;
    margin-bottom: 20px;
    color: var(--light-color);
}

#about ul {
    list-style-type: disc;
    padding-left: 20px;
    margin-bottom: 20px;
}

#about ul li {
    margin-bottom: 10px;
    color: var(--light-color);
}

/* Services section */

#services{
    padding: 50px 20px;
}

.sub-title{
    text-align: center;
    color: var(--light-color);
}
 
.services-list{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 40px;
    margin-top: 50px;
}
 
.services-list div{
    background: #6C757D ;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    padding: 40px;
    font-size: 13px;
    font-weight: 300;
    border-right: 10px;
    border-radius: 10px;
    transition: background 0.5s, transform 0.5s;
    cursor: pointer;
    color: #fff;
}
 
.services-list div i{
    font-size: 50px;
    margin-bottom: 30px;
}
 
.services-list div h2{
    font-size: 30px;
    font-weight: 500;
    margin-bottom: 15px;
}
 
.services-list div a{
    text-decoration: none;
    color: #fff;
    font-size: 12px;
    margin-top: 20px;
    display: inline-block;
}
 
.services-list div:hover{
    background: #ff004f;
    transform: translateY(-10px);
}


.card-container {
  display: flex;
  justify-content: space-evenly;
  flex-wrap: wrap;
  margin-top: 5%;
}

.card {
  width: 300px;
  margin: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
  overflow: hidden;
  transition: transform ease-in-out .5s;
  cursor: pointer;
}

.card-image img {
    width: 100%;
    height: 350px;
    display: block;
    /* object-fit: cover; */
    /* object-position: center; */
}

.card-content {
  padding: 10px;
}

.card-title {
  font-size: 18px;
  margin-bottom: 10px;
  color: #ef233c;
}

.card-text {
  margin-bottom: 10px;
  color: #000;
}

.subtitle span{
  color: var(--light-color);
}

.subtitle h2{
    text-align: center;
}

.card:hover{
  transform: translateY(-15px);
}

/* Contact section */

#contact-me{
    color: #fff;
    margin-top: 50px;
}

.contact-left{
    flex-basis: 35%;
}

.contact-right{
    flex-basis: 60%;
}


.contact-left p{
    margin-top: 30px;
}

.contact-left p i{
    color: #ff004f;
    margin-right: 15px;
    font-size: 25px;
}

.icons{
    margin-top: 30px;
}

.icons a{
    text-decoration: none;
    font-size: 30px;
    margin-right: 15px;
    color: #ababab;
    display: inline-block;
    transition: transform .5s;
}

.icons a:hover{
    color: #ff004f;
    transform: translateY(-5px);
}

.btn{
    display: inline-block;
    cursor: pointer;
}

.cv{
    margin-top: 20px;
}

.contact-right form{
    width: 100%;
}

form input, form textarea{
    width: 100%;
    border: 0;
    outline: none;
    padding: 15px;
    margin: 15px 0;
    color: #fff;
    background: #262626;
    font-size: 18px;
    border-radius: 6px;
}

.row{
    margin-left: 40px !important;
}

#back-to-top a{
    /* display: none; */
    position: fixed;
    bottom: 20px;
    right: 30px;
    z-index: 99;
    font-size: 14px;
    border: none;
    outline: none;
    background-color: #555;
    color: white;
    cursor: pointer;
    padding: 10px 15px;
    border-radius: 4px;
}
  
#back-to-top a:hover{
   background-color: #333;
}  

#msg{
    color: #61b752;
    margin-top: 20px;
    display: block;
}

/* Responsive Design */

@media (max-width: 768px) {
    /* Home */

    .header-text{
        padding-top: 60%;
    }

    .header-text h1 {
        font-size: 49px;
    }

    .about .content {
        flex-direction: column;
        align-items: center;
    }       

    .about .image {
        margin-right: 0;
        margin-bottom: 20px;
    }

    .about h1 {
        font-size: 2em;
    }

    .about h2 {
        font-size: 1.5em;
    }

    .about p {
        font-size: 0.9em;
    }

    .about ul li {
        font-size: 0.9em;
    }

    /* Contact */

    .contact-left p {
        margin-top: 30px;
        display: flex;
    }
    
    .icons a {
        margin-right: 35px;
    }

    form{
        margin-top: 30px;
    }

    #contact-me {
        height: 177vh;
    }

    .contact-right form {
        width: 171%;
        margin-top: 70px;
    }
    
    .cv{
        margin-top: 50px;
    }

    .row{
        margin-left: 0 !important;
    }
}